Summary: UnrealIRCd is an IRC server.
Name: unrealircd
Version: 3.2.7
Release: 1.art
Group: System Environment/Daemons
URL: http://www.unrealircd.com/
License: GPL

Source0: http://www.unrealircd.com/downloads/Unreal%{version}.tar.gz
Source1: unrealircd.init
BuildRoot: %{_tmppath}/unrealircd-%{version}-%{release}-root
BuildRequires: zlib-devel openssl-devel

%description
UnrealIRCd is an advanced IRC server that provides features for just
about everything.

%prep
%setup -q -n Unreal3.2.7

%build
%configure --enable-nospoof \
	--enable-prefixaq \
	--enable-hub \
	--enable-ziplinks=%{_prefix} \
	--enable-inet6 \
	--with-listen=32 \
	--with-nick-history=1000 \
	--with-sendq=3000000 \
	--with-bufferpool=16 \
	--with-hostname=localhost \
	--with-permissions=0600 \
	--with-dpath=%{_sysconfdir}/unrealircd \
	--with-fd-setsize=1024 \
	--with-spath=%{_sbindir}/unrealircd \
	--enable-dynamic-linking \
	--enable-ssl=%{_prefix}
%{__make}

%install
%{__rm} -fr %{buildroot}
# Buggy make install. Do it here instead.
# Create directories.
%{__install} -m 0750 -d %{buildroot}%{_sysconfdir}/unrealircd
%{__install} -m 0750 -d %{buildroot}%{_sysconfdir}/unrealircd/{networks,aliases}
%{__install} -d %{buildroot}%{_sbindir}
%{__install} -d %{buildroot}%{_libdir}/unrealircd
%{__install} -d %{buildroot}%{_initrddir}

# Install the ircd.
%{__install} -m 0710 src/ircd %{buildroot}%{_sbindir}/unrealircd
# Install the modules.
%{__ln_s} %{_libdir}/unrealircd %{buildroot}%{_sysconfdir}/unrealircd/modules
%{__install} -m 0750 src/modules/*.so %{buildroot}%{_libdir}/unrealircd

# Install configuration files.
%{__install} -m 0640 doc/example.conf %{buildroot}/%{_sysconfdir}/unrealircd/unrealircd.conf
# Template network file.
%{__install} -m 0640 networks/template.network %{buildroot}%{_sysconfdir}/unrealircd/networks
# Network generator.
%{__install} -m 0710 networks/makenet %{buildroot}%{_sysconfdir}/unrealircd/networks
# Aliases configuration.
%{__install} -m 0640 aliases/*.conf %{buildroot}%{_sysconfdir}/unrealircd/aliases
# Bad word filtering.
%{__install} -m 0640 badwords.*.conf %{buildroot}%{_sysconfdir}/unrealircd
# Help stuff.
%{__install} -m 0640 help.conf %{buildroot}%{_sysconfdir}/unrealircd

# Install init.d script
%{__install} -m 0755 %{SOURCE1} %{buildroot}%{_initrddir}/unrealircd

# Make pid file a symlink into %{_localstatedir}/run/unrealircd.pid
%{__ln_s} %{_localstatedir}/run/unrealircd.pid %{buildroot}%{_sysconfdir}/unrealircd/unrealircd.pid

%pre
# Quite random uid and gid, seems to be free on at least FC1.
%{_sbindir}/groupadd -g 66 irc 2>/dev/null || :
%{_sbindir}/useradd -u 66 -g 66 -d %{_sysconfdir}/unrealircd -n -c 'IRC server' irc 2>/dev/null || :

%post
# Install init.d script
/sbin/chkconfig --add unrealircd

%preun
/sbin/service unrealircd stop >/dev/null 2>&1 || true
/sbin/chkconfig --del unrealircd >/dev/null 2>&1 || true

%files
%defattr(-,root,irc)
# Documentation.
%doc doc/Authors doc/example.conf doc/tao.of.irc doc/unreal32docs.html Donation

%{_sbindir}/unrealircd

%dir %{_libdir}/unrealircd
%{_libdir}/unrealircd/*.so

%dir %{_sysconfdir}/unrealircd
%config(noreplace) %{_sysconfdir}/unrealircd/*

%{_initrddir}/unrealircd

%changelog
* Thu Aug 28 2008 Scott R. Shinn <scott@atomicrocketturtle.com> 3.2.7-1
- Update to 3.2.7

* Sat Feb 11 2006 Daniel Hokka Zakrisson <daniel@hozac.com> 3.2.4-1
- Update to 3.2.4

* Mon May 23 2005 Daniel Hokka Zakrisson <daniel@hozac.com> 3.2.3-2
- Enable SSL.

* Fri Mar 25 2005 Daniel Hokka Zakrisson <daniel@hozac.com> 3.2.3-1
- Update to 3.2.3

* Mon Nov 01 2004 Daniel Hokka Zakrisson <daniel@hozac.com> 3.2.2-1
- Update to 3.2.2

* Sat Jul 17 2004 Daniel Hokka Zakrisson <daniel@hozac.com> 3.2.1-1
- Update to 3.2.1

* Wed Jun 02 2004 Daniel Hokka Zakrisson <daniel@hozac.com> 3.2-1
- Update to 3.2

* Tue Feb 24 2004 Daniel Hokka Zakrisson <daniel@hozac.com> 3.2-0.rc1.3
- Don't care if adding user/group fails.

* Sat Feb 21 2004 Daniel Hokka Zakrisson <daniel@hozac.com> 3.2-0.rc1.2
- Fix init.d script.

* Sun Feb 15 2004 Daniel Hokka Zakrisson <daniel@hozac.com> 3.2-0.rc1.1
- Initial build.
